Index: npl/mailserver/netqmail_conf/netqmail_conf.md5
===================================================================
--- npl/mailserver/netqmail_conf/netqmail_conf.md5	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/netqmail_conf.md5	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,32 @@
+2d22069ace446e9f5cbf6890d9cbbb4d  ./netqmail_conf.pkg
+f4f9e3673e49bd56810ee75e666f51a0  ./netqmail_conf.SlackBuild
+5373229d903d2c91059d1b6f4bbc690f  ./netqmail_conf.SlackBuild.log.gz
+47946b00d0dd8e0d1c6c87867496bf85  ./root/etc/postinst.d/post.qmail_conf
+efed79f2f7840be05415132dd99e005a  ./root/etc/qmail.permissions
+a781066c2d8b2e42e4eae0cd0545391b  ./root/etc/qmail.rc.config
+08a3c19c4116da0ec38365484fa1f988  ./root/home/system/firewall/services.qmailsubmission.new
+fa8a0fae93de6a2013dc46a1f6bc81a2  ./root/home/system/qmail/alias/.qmail-default
+1dcca23355272056f04fe8bf20edfce0  ./root/home/system/qmail/control/concurrencyincoming.new
+d41d8cd98f00b204e9800998ecf8427e  ./root/home/system/qmail/control/defaultdomain.new
+919d117956d3135c4c683ff021352f5c  ./root/home/system/qmail/control/maxrcpt.new
+2909a2c64757ce93daa60e3cfc653ef1  ./root/home/system/qmail/control/qmqpservers.new
+d41d8cd98f00b204e9800998ecf8427e  ./root/home/system/qmail/control/rcpthosts.new
+063221b732091cd47898d4f4de0d3a86  ./root/home/system/qmail/control/relaylimits.new
+7f06a0bdfe40105eb7150c89ca23fe0a  ./root/home/system/qmail/control/softlimit.new
+6d7fce9fee471194aa8b5b6e47267f03  ./root/home/system/qmail/control/spfbehavior.new
+d41d8cd98f00b204e9800998ecf8427e  ./root/home/system/qmail/control/virtualdomains.new
+d41d8cd98f00b204e9800998ecf8427e  ./root/home/system/qmail/queue/lock/sendmutex
+0f343b0931126a20f133d67c2b018a3b  ./root/home/system/qmail/queue/lock/tcpto
+5e6055ce99316030e416d8f7243e99cd  ./root/home/system/qmail/tcp.smtp.new
+0361f8191be2fc0c7a64208973181e81  ./root/home/system/qmail/tcp.submission.new
+c373bf047e4be7894e0eb539ecade81e  ./root/home/system/qmail/users/assign.new
+a85ddde2346842cfb84c449322334cf6  ./root/usr/bin/syn3-dagent
+997aa1db669e5946bc88187056e5983e  ./root/var/qmail/bin/qmailctl
+d219929668d14245324a90cc8889a953  ./root/var/qmail/bin/rcptcheck-overlimit.sh
+b6d113884ec042aa912297837d7e1711  ./root/var/qmail/rc
+d2264d4a1eb480b446148386491d6d96  ./root/var/qmail/supervise/qmail-send/log/run
+ce8344b9f086b8d80deedd97999af4a2  ./root/var/qmail/supervise/qmail-send/run
+664eb748dcf70763bbb8af153a60f4fc  ./root/var/qmail/supervise/qmail-smtpd/log/run
+d1b75635cf714be5a03ae4b559eabff7  ./root/var/qmail/supervise/qmail-smtpd/run
+0c00964a4500bb13bcba905b59954802  ./root/var/qmail/supervise/qmail-submission/log/run
+00df93e4a56a546880039677deb50a30  ./root/var/qmail/supervise/qmail-submission/run
Index: npl/mailserver/netqmail_conf/netqmail_conf.version
===================================================================
--- npl/mailserver/netqmail_conf/netqmail_conf.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/netqmail_conf.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+7.1
Index: npl/mailserver/netqmail_conf/root/etc/postinst.d/post.qmail_conf
===================================================================
--- npl/mailserver/netqmail_conf/root/etc/postinst.d/post.qmail_conf	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/etc/postinst.d/post.qmail_conf	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+
+### http://notes.sagredo.eu/en/qmail-notes-185/configuring-qmail-83.html
+
+# create groups and users
+. /etc/qmail.rc.config
+qmail_user() {
+  for I in _0 _1 _2 _3 _4 _5 _6; do
+    eval CUR_USER=\$QMAIL_USER$I
+    USER=`echo "$CUR_USER" | cut -d ':' -f 1`
+    grep "$USER" /etc/passwd > /dev/null && userdel $USER
+  done
+  for I in _0 _1; do
+    eval CUR_GROUP=\$QMAIL_GROUP$I
+    GROUP=`echo "$CUR_GROUP" | cut -d ':' -f 1`
+    grep "$GROUP" /etc/group > /dev/null && groupdel $GROUP
+  done
+  for I in _0 _1; do
+    eval CUR_GROUP=\$QMAIL_GROUP$I
+    GROUP=`echo "$CUR_GROUP" | cut -d ':' -f 1`
+    CGID=`echo "$CUR_GROUP" | cut -d ':' -f 2`
+    groupadd -g $CGID $GROUP
+  done
+  for I in _0 _1 _2 _3 _4 _5 _6; do
+    eval CUR_USER=\$QMAIL_USER$I
+    USER=`echo "$CUR_USER" | cut -d ':' -f 1`
+    CUID=`echo "$CUR_USER" | cut -d ':' -f 2`
+    GROUP=`echo "$CUR_USER" | cut -d ':' -f 3`
+    HOME=`echo "$CUR_USER" | cut -d ':' -f 4`
+    useradd -u $CUID -g $GROUP -d $HOME -s /bin/false $USER
+  done
+}
+svcstop /service/nscd #this script doesnt like caching
+qmail_user
+svcreset /service/nscd
+
+
+# logging via syslog in /var/log/maillog from now on
+rm -rf /var/log/qmail/
+
+
+# permissions
+. /etc/qmail.permissions
+qmail_permissions
+
+
+#stuff
+svc -d /service/qmail-*
+svcstop /service/nscd/
+svcreset /service/nscd/
+touch /var/qmail/control/smtpplugins
+svc -dx /service/qmail-*
+
+#update old config?
+if ! grep "127.0.0.3" /etc/qmail/tcp.smtp; then
+    mv /etc/qmail/tcp.smtp.new /etc/qmail/tcp.smtp
+fi
+
+
+#regenerate cdb
+tcprules /etc/qmail/tcp.smtp.cdb /etc/qmail/tcp.smtp.tmp < /etc/qmail/tcp.smtp
+tcprules /etc/qmail/tcp.submission.cdb /etc/qmail/tcp.submission.tmp < /etc/qmail/tcp.submission
+
+
+#TLS configuration
+if ! [ -e /var/qmail/control/dh1024.pem ]; then
+    openssl dhparam -out /var/qmail/control/dh1024.pem.tmp 1024 || exit 1
+    chown qmaild /var/qmail/control/dh1024.pem.tmp || exit 1
+    chmod 400 /var/qmail/control/dh1024.pem.tmp || exit 1
+    mv /var/qmail/control/dh1024.pem.tmp /var/qmail/control/dh1024.pem || exit 1
+fi
+
+#certificate
+if ! [ -e  /var/qmail/control/servercert.pem ]; then
+    if cat /usr/webint/ssl/server.crt /usr/webint/ssl/server.pem  > /var/qmail/control/servercert.pem.tmp; then
+        mv  /var/qmail/control/servercert.pem.tmp  /var/qmail/control/servercert.pem
+    fi
+fi
+
+
+
+
+#enable scripts (x is disble to prevent starting up after first installation of binary)
+chmod +x /service/qmail-smtpd/run /service/qmail-send/run /service/qmail-send/log/run /service/qmail-smtpd/log/run /service/qmail-submission/run /service/qmail-submission/log/run
Index: npl/mailserver/netqmail_conf/root/etc/qmail
===================================================================
--- npl/mailserver/netqmail_conf/root/etc/qmail	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/etc/qmail	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+/home/system/qmail
Index: npl/mailserver/netqmail_conf/root/home/system/firewall/services.qmailsubmission.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/firewall/services.qmailsubmission.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/home/system/firewall/services.qmailsubmission.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+587/tcp,Email traffic,Mail submission via authenticated SMTP (tls)
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/alias/.qmail-default
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/alias/.qmail-default	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/alias/.qmail-default	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+|/usr/bin/syn3-dagent "$LOCAL" "$SENDER"
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/control/concurrencyincoming.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/control/concurrencyincoming.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/control/concurrencyincoming.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+5
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/control/locals
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/control/locals	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/control/locals	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+me
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/control/maxrcpt.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/control/maxrcpt.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/control/maxrcpt.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+100
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/control/qmqpservers.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/control/qmqpservers.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/control/qmqpservers.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+127.0.0.1
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/control/relaylimits.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/control/relaylimits.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/control/relaylimits.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+#:1000
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/control/softlimit.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/control/softlimit.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/control/softlimit.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+150000000
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/control/spfbehavior.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/control/spfbehavior.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/control/spfbehavior.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+3
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/tcp.smtp.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/tcp.smtp.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/tcp.smtp.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,22 @@
+127.0.0.1:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-queue"
+127.0.0.2:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+127.0.0.3:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.16.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.17.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.18.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.19.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.20.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.21.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.22.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.23.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.24.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.25.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.26.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.27.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.28.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.29.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.30.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+172.31.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+192.168.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+10.:allow,RELAYCLIENT="",QMAILQUEUE="bin/qmail-qmqpc"
+:allow,QMAILQUEUE="bin/qmail-qmqpc",CHKUSER_WRONGRCPTLIMIT="3"
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/tcp.submission.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/tcp.submission.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/tcp.submission.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+:allow,QMAILQUEUE="bin/qmail-qmqpc",CHKUSER_WRONGRCPTLIMIT="3"
Index: npl/mailserver/netqmail_conf/root/home/system/qmail/users/assign.new
===================================================================
--- npl/mailserver/netqmail_conf/root/home/system/qmail/users/assign.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/home/system/qmail/users/assign.new	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,2 @@
++:alias:50:55:/var/qmail/alias:-::
+.
Index: npl/mailserver/netqmail_conf/root/service/qmail-send
===================================================================
--- npl/mailserver/netqmail_conf/root/service/qmail-send	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/service/qmail-send	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+/var/qmail/supervise/qmail-send
Index: npl/mailserver/netqmail_conf/root/service/qmail-smtpd
===================================================================
--- npl/mailserver/netqmail_conf/root/service/qmail-smtpd	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/service/qmail-smtpd	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+/var/qmail/supervise/qmail-smtpd
Index: npl/mailserver/netqmail_conf/root/service/qmail-submission
===================================================================
--- npl/mailserver/netqmail_conf/root/service/qmail-submission	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/service/qmail-submission	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+/var/qmail/supervise/qmail-submission
Index: npl/mailserver/netqmail_conf/root/usr/bin/syn3-dagent
===================================================================
--- npl/mailserver/netqmail_conf/root/usr/bin/syn3-dagent	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/usr/bin/syn3-dagent	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,82 @@
+#!/bin/bash
+
+USER="$1"
+SENDER="$2"
+INMAIL=/tmp/syn3-dagent.$$
+SCANMAIL=/tmp/syn3-dagent-scanned.$$
+
+
+#cleanup and exit
+end()
+{
+	rm $INMAIL 2>/dev/null
+	rm $SCANMAIL 2>/dev/null
+	exit $1
+}
+
+# some kind of ldap problem, try again later
+id "Administrator" >/dev/null || end 111
+
+#does the user exists?
+if ! id "$USER" >/dev/null; then
+	#we're sure theres no ldap problem?
+	id "Administrator" >/dev/null || end 111
+	#probably a bounce spammer, drop mail silently
+	echo "User does not exist, dropping mail."
+	end 0
+fi
+
+#store mail temporary
+cat > $INMAIL || end 1
+
+#pipe trough personal spamfilter of this user
+if ! grep "VIRUS.*IN MAIL TO YOU" $INMAIL >/dev/null && /usr/bin/dspamc --user "$USER" --deliver=innocent,spam --mail-from="$SENDER" --stdout >$SCANMAIL <$INMAIL; then
+	#it worked
+	if grep "^X-DSPAM-Result: Spam" $SCANMAIL >/dev/null; then
+		SPAM=1
+	else
+		SPAM=
+	fi
+	MAIL=$SCANMAIL
+else
+	#spam filter is broken, or it was just a virus notification
+	MAIL=$INMAIL
+	SPAM=
+fi
+
+# #check cyrus is up, and deliver it there:
+# if /usr/bin/pgrep -f -x /usr/cyrus/bin/master ; then
+# 	if [ "$SPAM" ]; then
+# 		/usr/cyrus/bin/deliver -a "$USER" -m Spam "$USER" < $MAIL
+# 		end $?
+# 	else
+# 		/usr/cyrus/bin/deliver -a "$USER" "$USER" < $MAIL
+# 		end $?
+# 	fi
+# fi
+
+#check zarafa is up, and deliver it there:
+if pidof zarafa-server >/dev/null; then
+	if [ "$SPAM" ]; then
+		/usr/bin/zarafa-dagent "$USER" -q -j < $MAIL
+		end $?
+	else
+		/usr/bin/zarafa-dagent "$USER" -q < $MAIL
+		end $?
+	fi
+fi
+
+#check kopano is up, and deliver it there:
+if pidof kopano-server >/dev/null; then
+	if [ "$SPAM" ]; then
+		/usr/bin/kopano-dagent "$USER" -q -j < $MAIL
+		end $?
+	else
+		/usr/bin/kopano-dagent "$USER" -q < $MAIL
+		end $?
+	fi
+fi
+
+#no backend mailstorage up, so fail temporary
+echo "All mailbackends are down, retry again later..."
+end 111
Index: npl/mailserver/netqmail_conf/root/var/qmail/alias
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/alias	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/var/qmail/alias	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+/home/system/qmail/alias
Index: npl/mailserver/netqmail_conf/root/var/qmail/bin/qmailctl
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/bin/qmailctl	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/var/qmail/bin/qmailctl	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,195 @@
+#!/bin/sh
+#
+# tx Sam Tang
+
+# Put here the services you want to manage
+svclist="qmail-smtpd qmail-submission qmail-send vpopmaild"
+# Put here the services want monitoring
+servicelist="dovecot clamd freshclam spamd vusaged httpd mariadb fail2ban"
+
+PATH=/var/qmail/bin:/bin:/usr/bin:/usr/local/bin:/usr/local/sbin
+export PATH
+
+QMAILDUID=`id -u qmaild`
+NOFILESGID=`id -g qmaild`
+
+function show_uptime() {
+	org="$(svstat /service/$1 | awk '{print $2,$3,$4;}' | sed 's/up/[ up ]/g' | sed 's/down/[ down ]/g' | sed ''/up/s//`printf "\033[1\;32mup\033[0m"`/'' | sed ''/down/s//`printf "\033[1\;31mdown\033[0m"`/'')"
+	sec="$(svstat /service/$1 | awk '{print $5;}')"
+	d=$(( $sec / 86400))
+	h=$(( $(($sec - $d * 86400)) / 3600 ))
+	m=$(( $(($sec -d * 86400 - $h * 3600)) / 60 ))
+	s=$(($sec -d * 86400 - $h * 3600 - $m * 60))
+	if [ $sec -le 60 ]; then
+		printf "%-22s %s %s %s %s %s %s seconds\n" "$1:" $org $s
+	else
+		printf "%-22s %s %s %s %s %s %3s day(s), %02d:%02d:%02d\n" "$1:" $org $d $h $m $s
+	fi
+}
+
+case "$1" in
+  start)
+    echo "Starting qmail"
+
+    for svc in $svclist ; do
+    	if svok /service/$svc ; then
+     		svc -u /service/$svc
+     	else
+     		echo $svc service not running
+     	fi
+    done 
+
+    if [ -d /var/lock/subsys ]; then
+      touch /var/lock/subsys/qmail
+    fi
+    ;;
+  stop)
+    echo "Stopping qmail..."
+    for svc in $svclist ; do
+      echo " $svc"
+      svc -d /service/$svc
+    done
+    if [ -f /var/lock/subsys/qmail ]; then
+    rm /var/lock/subsys/qmail
+    fi
+    ;;
+  stat)
+    for svc in $svclist ; do
+      show_uptime $svc
+      show_uptime "$svc/log"
+    done
+    echo ""
+    for service in $servicelist ; do
+      printf "%-22s " "$service status:"
+      if (( $(ps -ef | grep -v grep | grep $service | wc -l) > 0 ))
+      then 
+          echo -e "[ \033[1;32mup\033[m ]"
+      else
+          echo -e "[ \033[1;31mdown\033[m ]"
+      fi
+    done
+    if [ -f /var/qmail/control/simversions.cdb ]; then
+    	printf "\nClamAV database updated at: "
+	stat --printf=%y /var/qmail/control/simversions.cdb | cut -d. -f1
+    fi
+    if [ -f /var/qmail/users/assign ]; then
+	printf "Total Domains: "
+	wc -l < /var/qmail/users/assign
+    fi
+    echo ""
+    qmail-qstat
+    ;; 
+  doqueue|alrm|flush)
+    echo "Sending ALRM signal to qmail-send."
+    svc -a /service/qmail-send
+    ;;
+  queue)
+    qmail-qstat
+    qmail-qread
+    ;;
+  reload|hup)
+    echo "Sending HUP signal to qmail-send."
+    svc -h /service/qmail-send
+    ;;
+  pause)
+    for svc in $svclist ; do
+      echo "Pausing $svc"
+      svc -p /service/$svc
+    done
+    ;; 
+  cont)
+	  for svc in $svclist ; do
+	    echo "Continuing $svc"
+	    svc -c /service/$svc
+	  done
+    ;; 
+  restart)
+    echo "Restarting qmail:"
+    for svc in $svclist ; do
+      if [ "$svc" != "qmail-send" ] ; then
+        echo "* Stopping $svc."
+        svc -d /service/$svc
+      fi
+    done
+    echo "* Sending qmail-send SIGTERM and restarting."
+    svc -t /service/qmail-send
+    for svc in $svclist ; do
+      if [ "$svc" != "qmail-send" ] ; then
+        echo "* Restarting $svc."
+        svc -u /service/$svc
+      fi
+    done
+    ;;
+  cdb)
+    if ! grep '\#define POP_AUTH_OPEN_RELAY 1' ~vpopmail/include/config.h >/dev/null; then
+      (cd ~vpopmail/etc ; cat tcp.smtp | tcprules tcp.smtp.cdb tcp.smtp.tmp)
+      echo "Updated tcp.smtp.cdb."
+      (cd ~vpopmail/etc ; cat tcp.submission | tcprules tcp.submission.cdb tcp.submission.tmp)
+      echo "Updated tcp.submission.cdb."
+    else
+      ~vpopmail/bin/clearopensmtp
+      echo "Ran clearopensmtp."
+    fi
+    ;;
+  clear)
+    echo "Clearing readproctitle service errors with ................."
+    svc -o /service/clear
+    ;;
+  kill)
+    echo "First stopping services ... "
+    for svc in $svclist ; do
+    	if svok /service/$svc ; then
+            svc -d /service/$svc
+            svc -d /service/$svc/log
+    	fi
+    done
+    echo "Now sending processes the kill signal ... "
+        killall -g svscanboot
+    echo "done"
+    ;;
+  boot)
+    echo "Starting qmail"
+    /command/svscanboot &
+    ;;
+  reboot)
+    echo "First stopping services ... "
+    for svc in $svclist ; do
+        if svok /service/$svc ; then
+            svc -d /service/$svc
+            svc -d /service/$svc/log
+        fi
+    done
+    echo "Now sending processes the kill signal ... "
+        killall -g svscanboot
+    echo "done"
+    echo "Starting qmail"
+    /command/svscanboot &
+    ;;
+  help)
+    cat <<HELP
+    stop -- stops mail service (smtp connections refused, nothing goes out)
+   start -- starts mail service (smtp connection accepted, mail can go out)
+   pause -- temporarily stops mail service (connections accepted, nothing leaves)
+    cont -- continues paused mail service
+    stat -- displays status of mail service
+     cdb -- rebuild the tcpserver cdb file for smtp
+ restart -- stops and restarts smtp, sends qmail-send a TERM & restarts it
+ doqueue -- sends qmail-send ALRM, scheduling queued messages for delivery
+  reload -- sends qmail-send HUP, rereading locals and virtualdomains
+   queue -- shows status of queue
+    alrm -- same as doqueue
+   flush -- same as doqueue
+     hup -- same as reload
+   clear -- clears the readproctitle service errors with .....................
+    kill -- svc -d processes in svclist, then do 'killall -g svscanboot'
+    boot -- Boots qmail and all services in /service running /command/svscanboot
+  reboot -- kill & boot commands in sequence
+HELP
+    ;;
+  *)
+    echo "Usage: $0 {start|stop|restart|doqueue|flush|reload|stat|pause|cont|cdb|queue|clear|kill|boot|reboot|help}"
+    exit 1
+    ;;
+esac
+
+exit 0 
Index: npl/mailserver/netqmail_conf/root/var/qmail/bin/rcptcheck-overlimit.sh
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/bin/rcptcheck-overlimit.sh	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/var/qmail/bin/rcptcheck-overlimit.sh	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,76 @@
+#!/bin/bash
+# rcptcheck-overlimit v0.3
+# Digitalmind 2017-08-23
+# This script limits the number of emails sent by relayclients (authusers or ip with RELAYCLIENT in tcprules)
+# You must define the variable RCPTCHECK=/var/qmail/bin/rcptcheck-overlimit.sh AND RCPTCHECKRELAYCLIENT="1"
+# This script will be called for every accepted rcptto.
+# If RELAYCLIENT is not defined the script terminates with the exit code 112 (ignore/accept).
+# Messages sent to domains in rcpthosts will NOT be accounted for.
+# For every accepted rcptto with RELAYCLIENT defined, a char 'X' will be appended to a file in the directory $OVERLIMITDIR;
+# this file name will be the authuser, if defined, or  the client ip address.
+# The script will look for an entry corresponding to the client (authuser or ip) in $LIMITSCONTROLFILE and use the number found
+# as the maximum number of allowed outgoing emails.
+# If the OVERLIMITDIR is not writable by the user running qmail-smtpd or the LIMITSCONTROLFILE cannot be read, the script terminates with 112 (ignore/accept).
+# In case of overlimit, an exit code 113 (reject/overlimit) will be returned to qmail-smtpd and the connection will be dropped with a 421.
+# $LIMITSCONTROLFILEFILE can contain comments, '0' means unlimited, the entry starting with ':' will be considered the default limit.
+# If the default entry can't be found, the default will be set to unlimited.
+# In case more lines match the client name, only the last will be used.
+# A cronjob must be created to periodically cleanup files in $OVERLIMITDIR: to use daily limits, schedule the job once a day.
+#
+# Cronjob example:
+#   # find /var/qmail/overlimit/ -type f -exec rm -f "{}" \;
+#
+# $LIMITSCONTROLFILE example:
+# -----
+#:1000
+#1.2.3.4:3000
+#test@example.com:0
+# -----
+# Known bugs:
+# - the line 'info@example.com:1000' also matches the client name 'testinfo@example.com'.
+
+EXITIGNORE=112
+EXITOVERLIMIT=113
+
+LIMITSCONTROLFILE=/var/qmail/control/relaylimits
+OVERLIMITDIR=/var/qmail/overlimit
+DEBUGLOG=/var/log/overlimit/debug.log
+
+if [ -z "${RELAYCLIENT+x}" ]; then exit $EXITIGNORE; fi
+if [ ! -r "$LIMITSCONTROLFILE" ]; then exit $EXITIGNORE; fi
+if [ ! -w "$OVERLIMITDIR" ]; then exit $EXITIGNORE; fi
+
+# Read config file removing comments, blank lines, spaces and tabs
+PREFILTER="sed -e 's/#.*$//g' -e '/^$/d' -e 's/[ \t]*//g' $LIMITSCONTROLFILE"
+
+# SMTPAUTHUSER should be already validated, but just to be safe leave only alphanum, -.', '_', '-' and '@'
+FILTEREDSMTPAUTHUSER=$(echo "$SMTPAUTHUSER" | tr -cd '[:alnum:].-_@')
+
+if [ -n "${RCPTHOSTS}" ]; then
+  logger -t qmail-overlimit -p mail.info "RELAYCLIENT and RCPTHOSTS: mailfrom=$SENDER rcptto=$RECIPIENT authuser=${FILTEREDAUTHUSER} remoteip=${TCPREMOTEIP}"
+  exit $EXITIGNORE
+fi
+
+if [ -n "${FILTEREDSMTPAUTHUSER}" ]; then
+  value=$(eval ${PREFILTER} | grep -Fi "$FILTEREDSMTPAUTHUSER:" | tail -1); limit="${value##*:}" # specific authuser
+  ##if [ -z "${limit}" ]; then value=$(eval ${PREFILTER} | grep -Fi "${FILTEREDSMTPAUTHUSER##*@}:" | tail -1); limit="${value##*:}"; fi # domain part
+  client="${FILTEREDSMTPAUTHUSER}"
+else
+  value=$(eval ${PREFILTER} | grep -Fi "$TCPREMOTEIP:" | tail -1); limit="${value##*:}" # specific ip address
+  client="${TCPREMOTEIP}"
+fi
+if [ -z "${limit}" ]; then value=$(eval ${PREFILTER} | grep "^:" | tail -1); limit="${value##*:}"; fi  # default ':value'
+if [ -z "${limit}" ]; then limit=0; fi # if nothing else
+
+currentnum=$(stat -c%s $OVERLIMITDIR/$client 2>/dev/null)
+if [ -z "$currentnum" ]; then currentnum=1; fi
+
+logger -t qmail-overlimit -p mail.info "client=$client limit=$limit current=$currentnum"
+
+if [ "$currentnum" -gt "$limit" ] && [ "$limit" -ne "0" ]; then
+  logger -t qmail-overlimit -p mail.info "REJECTED $client "
+  exit $EXITOVERLIMIT
+else
+  echo -n "X" >> "$OVERLIMITDIR/$client" 2>/dev/null
+fi
+exit $EXITIGNORE
Index: npl/mailserver/netqmail_conf/root/var/qmail/control
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/control	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/var/qmail/control	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+/home/system/qmail/control
Index: npl/mailserver/netqmail_conf/root/var/qmail/queue
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/queue	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/var/qmail/queue	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+/home/system/qmail/queue
Index: npl/mailserver/netqmail_conf/root/var/qmail/rc
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/rc	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/var/qmail/rc	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+# Using stdout for logging
+# Using control/defaultdelivery from qmail-local to deliver messages by default
+
+# DKIM signign
+#exec env - PATH="/var/qmail/bin:$PATH" \
+#QMAILREMOTE=/var/qmail/bin/spawn-filter  \
+#FILTERARGS=/var/qmail/bin/dk-filter \
+#qmail-start "`cat /var/qmail/control/defaultdelivery`" 
+
+exec env - PATH="/var/qmail/bin:$PATH" \
+qmail-start "`cat /var/qmail/control/defaultdelivery`"
Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/log/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/log/run	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/log/run	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec /usr/bin/setuidgid qmaill logger -t qmail-send -p mail.info
Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/run	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-send/run	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,8 @@
+#!/bin/sh
+exec 2>&1
+
+#dynamic update of hostname
+hostname -f > /var/qmail/control/me
+#zet de assign file om naar binair formaat.
+/var/qmail/bin/qmail-newu
+exec /var/qmail/rc
Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/log/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/log/run	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/log/run	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec /usr/bin/setuidgid qmaill logger -t qmail-smtpd -p mail.info
